Bug 602452 - bottom of gnome-terminal not redrawing white space correctly when in maximized window
bottom of gnome-terminal not redrawing white space correctly when in maximize...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vte (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 16:54 EDT by Jiri Kastner
Modified: 2015-03-03 17:49 EST (History)
5 users (show)

See Also:
Fixed In Version: vte-0.25.1-3.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:54:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gnome terminal with stripes (117.11 KB, image/png)
2010-06-09 16:54 EDT, Jiri Kastner
no flags Details
another example (172.10 KB, image/png)
2010-06-11 20:54 EDT, Matthias Clasen
no flags Details

  None (edit)
Description Jiri Kastner 2010-06-09 16:54:07 EDT
Created attachment 422703 [details]
gnome terminal with stripes

Description of problem:
at the bottom of maximazed window of gnome-terminal i noticed black stripes, when another non-maximazed window moved bellow (half is enough) screen.

Version-Release number of selected component (if applicable):
gnome-terminal-2.31.3-2.el6.x86_64
gnome-desktop-2.28.2-7.el6.x86_64
xorg-x11-drv-intel-2.11.0-5.el6.x86_64
xorg-x11-server-Xorg-1.7.7-5.el6.x86_64
xorg-x11-server-common-1.7.7-5.el6.x86_64

How reproducible:


Steps to Reproduce:
1. open gnome-terminal and maximize that window
2. open gedit or another application in maximized window too
3. open another application but in normal window
4. on the bottom bar click gnome-terminal to get it to foreground
5. on the bottom bar click that 2nd maximized application 2x (or 1x but then minimize that window using icon)
6. gnome-terminal will be in the foreground again, but on the bottom of window will be stripe along whole width of terminal
7. click on normal windowed application (gnome-terminal is behind active window)
8. drag that application and start moving bellow screen and back up)
9. empty line bellow cursor on gnome terminal became black, width depends on width of moved application
  
Actual results:


Expected results:


Additional info:
Comment 1 Jiri Kastner 2010-06-09 17:09:48 EDT
Actual results:
appearing black stripes

Expected results:
white color is redrawn correctly
Comment 2 RHEL Product and Program Management 2010-06-09 17:13:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Matthias Clasen 2010-06-11 20:54:15 EDT
Created attachment 423420 [details]
another example

I can reproduce this in a different way too. I had a regular-sized terminal window in front of the maximized one, then minimized the regular-sized one.
It left some gray dirt behind, as seen in the screenshot.
Comment 4 Matthias Clasen 2010-06-11 23:29:01 EDT
Fixed upstream with this commit:

http://git.gnome.org/browse/vte/commit/?id=405ed5bb3151940db0f21ff5b8e96bea94770f96
Comment 9 releng-rhel@redhat.com 2010-11-10 16:54:44 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.